Get transfer history by id
curl --request GET \
--url https://api-sandbox.orum.io/deliver/transfers/{id}/history \
--header 'Authorization: Bearer <token>' \
--header 'Orum-Version: <orum-version>'import requests
url = "https://api-sandbox.orum.io/deliver/transfers/{id}/history"
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Orum-Version': '<orum-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-sandbox.orum.io/deliver/transfers/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statuses": [
{
"status": "completed",
"updated_at": "2023-11-07T05:33:00Z"
},
{
"status": "pending",
"updated_at": "2023-11-07T05:32:00Z"
},
{
"status": "created",
"updated_at": "2023-11-07T05:31:00Z"
}
]
}
Transfers
Get Transfer History by ID
Get the history of status changes for a transfer.
GET
/
deliver
/
transfers
/
{id}
/
history
Get transfer history by id
{
"statuses": [
{
"status": "completed",
"updated_at": "2023-11-07T05:33:00Z"
},
{
"status": "pending",
"updated_at": "2023-11-07T05:32:00Z"
},
{
"status": "created",
"updated_at": "2023-11-07T05:31:00Z"
}
]
}
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
Available options:
v2022-09-21 Path Parameters
Orum generated unique id for the transfer. Orum generated unique id for the resource.
Response
200 response.
List of transfer status history entries.
Show child attributes
Show child attributes
Was this page helpful?
⌘I